<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\BayerischerApothekertag\HandleAnmeldung;

class HandleAnmeldungView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'firma/bayerischer_apothekertag/anmeldebestaetigung.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $datamodul = new \Datamodul();
    $datamodul->tndata = $this->viewModel->tndata;

    return array($this->viewModel->tndata);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpTeilnehmer();
  }

  protected function getFooterExportAdapter()
  {
    return new \ExpBasis();
  }

  protected function getFooterDataModulArray()
  {
    $dm = new \Datamodul();

    return array($dm);
  }
}

class HandleAnmeldungViewModel
{
  public $tndata;
  public $agb;
}